echo off
echo OS/2 API Profiling Tool -- 1.0
if "%1" == "" goto usage
if "%2" == "" goto usage

if exist %1 goto cont
echo ERROR: File %1 does not exist!
goto done

:cont
hdr -R %1 > temp.hdr
if not errorlevel 1 goto cont1
echo ERROR: Could not create ExeHdr file!
goto done

:cont1
strip < temp.hdr > temp.stp
del temp.hdr

echo APICOUNT: %1 > %2.api
markexe display %1 >> %2.api
dir %1 >> %2.api
ver >> %2.api
echo Count  API  >> %2.api
echo ------ --------------------------- >> %2.api

sort < temp.stp > temp.srt
if not errorlevel 1 goto cont2
echo ERROR: Enable to sort intermediate file (temp.stp too big)! >> %2.api
type temp.stp >> %2.api
del temp.stp temp.srt
goto cont4

:cont2
del temp.stp
count < temp.srt > temp.cnt
ord2name < temp.cnt > temp.nam
del temp.cnt

sort /+8 < temp.nam > temp.srt
if not errorlevel 1 goto cont3
echo WARNING: Enable to sort final output! >> %2.api
type temp.nam > temp.srt
:cont3
type temp.srt >> %2.api
del temp.srt temp.nam

:cont4
echo DONE: Results contained in %2.api
goto done

:usage
Echo Usage: apicount [exe/dll] [apiout]
Echo Example: apicount pmfile.exe pmfile
Echo Output will be in PMFILE.API

:done
