/* test of shared and non-shared DLL data  - see datadll.c */
#include <windows.h>
#include <stdio.h>

extern int getVar(void);
extern void incVar(void);
extern int getSharedVar(void);
extern void incSharedVar(void);

void main()
{
  printf("non-shared data var: %d\n", getVar());
  Sleep(10000);
  incVar();
  printf("non-shared data var, after increment: %d\n", getVar());
  printf("shared data var: %d\n", getSharedVar());
  incSharedVar();
  printf("shared data var, after increment: %d\n", getSharedVar());
  Sleep(INFINITE);
}
